Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.usermgmt
Interface RealmConfiguration

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface RealmConfiguration
extends weblogic.jws.control.Control

* This is the public interface for keeping personalization profile records in sync with the WLS realm.

This control requires that the RealmConfiguration EJB has been deployed to the application. The RealmConfiguration EJB is contained in p13n_ejb.jar, and is automatically deployed as part of a Portal application.
Security requirements: The caller must be in the role of "PortalSystemAdministrator" to invoke these methods

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`void` | `cleanupMisconfiguredGroups()` Removes misconfigured groups (those found in the database but not in the realm) from the database.
`void` | `cleanupMisconfiguredUsers()` Removes misconfigured users (those found in the database but not in the realm) from the database.
`String[]` | `getGroupProfileNames()` Returns just the groups found in the database.
`String[]` | `getMisconfiguredGroups()` Returns the group names that exist in the database, but not in the realm.
`String[]` | `getMisconfiguredUsers()` Returns the usernames that exist in the database, but not in the realm.
`String[]` | `getRealmGroups()` Get a list of groups in the realm Caller must be in the role of PortalSystemAdminstrator
`String[]` | `getRealmUsers()` Get a list of groups in the realm Caller must be in the role of PortalSystemAdminstrator
`String[]` | `getUserProfileNames()` Returns just the users found in the database.
`boolean` | `isManageableRealm()` Determine if the current realm is writable.

Method Detail

### cleanupMisconfiguredGroups

    public void cleanupMisconfiguredGroups()
                                    throws P13nControlException

  Removes misconfigured groups (those found in the database but not in the realm) from the database. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    a status message for the operation
  Throws:
    `P13nControlException` - if errors cleaning up groups, or if caller is not in allowed role

### cleanupMisconfiguredUsers

    public void cleanupMisconfiguredUsers()
                                   throws P13nControlException

  Removes misconfigured users (those found in the database but not in the realm) from the database. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    a status message for the operation
  Throws:
    `P13nControlException` - if errors cleaning up users, or if caller is not in allowed role

### getGroupProfileNames

    public String[] getGroupProfileNames()
                                  throws P13nControlException

  Returns just the groups found in the database. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    a list of groups in the database
  Throws:
    `P13nControlException` - if errors accessing the database, or if caller is not in allowed role

### getMisconfiguredGroups

    public String[] getMisconfiguredGroups()
                                    throws P13nControlException

  Returns the group names that exist in the database, but not in the realm. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    the names for the groups that are misconfigured
  Throws:
    `P13nControlException` - if user find error, or if caller is not in allowed role

### getMisconfiguredUsers

    public String[] getMisconfiguredUsers()
                                   throws P13nControlException

  Returns the usernames that exist in the database, but not in the realm. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    the usersnames for the users that are misconfigured
  Throws:
    `P13nControlException` - if user find error, or if caller is not in allowed role

### getRealmGroups

    public String[] getRealmGroups()
                            throws P13nControlException

  Get a list of groups in the realm Caller must be in the role of PortalSystemAdminstrator

  Throws:
    `P13nControlException` - if error accessing realm, or if caller is not in allowed role

### getRealmUsers

    public String[] getRealmUsers()
                           throws P13nControlException

  Get a list of groups in the realm Caller must be in the role of PortalSystemAdminstrator

  Throws:
    `P13nControlException` - if error accessing realm, or if caller is not in allowed role

### getUserProfileNames

    public String[] getUserProfileNames()
                                 throws P13nControlException

  Returns just the users found in the database. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    a list of usernames in the database
  Throws:
    `P13nControlException` - if errors accessing the database, or if caller is not in allowed role

### isManageableRealm

    public boolean isManageableRealm()
                              throws P13nControlException

  Determine if the current realm is writable. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    true if it is, false otherwise.
  Throws:
    `P13nControlException` - if runtime errors, or if caller is not in allowed role

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved